// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_thekyln/tk_sky1
{
	qer_editorimage env/ut4_thekyln/violentdays_ft.tga
	
	skyparms env/ut4_thekyln/violentdays 128 -
	
	q3map_sunEXT 1 1 1 100 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 100 3
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Ladderclip ===---

textures/ut4_thekyln/tk_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

textures/ut4_thekyln/tk_hologo_b
{
	qer_editorimage textures/ut4_thekyln/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_thekyln/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_thekyln/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_thekyln/tk_hologo_r
{
	qer_editorimage textures/ut4_thekyln/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_thekyln/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_thekyln/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_thekyln/tk_holop1_b
{
	qer_editorimage textures/ut4_thekyln/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_thekyln/holopanel1/holopanel_b1.jpg textures/ut4_thekyln/holopanel1/holopanel_b1.jpg textures/ut4_thekyln/holopanel1/holopanel_b1.jpg textures/ut4_thekyln/holopanel1/holopanel_b2.jpg textures/ut4_thekyln/holopanel1/holopanel_b1.jpg textures/ut4_thekyln/holopanel1/holopanel_b3.jpg textures/ut4_thekyln/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_thekyln/tk_holop1_r
{
	qer_editorimage textures/ut4_thekyln/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_thekyln/holopanel1/holopanel_r1.jpg textures/ut4_thekyln/holopanel1/holopanel_r1.jpg textures/ut4_thekyln/holopanel1/holopanel_r1.jpg textures/ut4_thekyln/holopanel1/holopanel_r2.jpg textures/ut4_thekyln/holopanel1/holopanel_r1.jpg textures/ut4_thekyln/holopanel1/holopanel_r3.jpg textures/ut4_thekyln/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== No Damage ===---

textures/ut4_thekyln/e8clangfloor05c:q3map
{
	surfaceparm nodamage
}

textures/ut4_thekyln/e8clangfloor04warn:q3map
{
	surfaceparm nodamage
}

textures/ut4_thekyln/e8clangfloor04warn2:q3map
{
	surfaceparm nodamage
}

textures/ut4_thekyln/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_thekyln/e8cretefloor01c:q3map
{
	surfaceparm nodamage
}

textures/ut4_thekyln/e8warning128:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_thekyln/tk_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_thekyln/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_thekyln/tk_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_thekyln/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---

textures/ut4_thekyln/tk_chrome1
{
	qer_editorimage textures/ut4_thekyln/chrome1.tga

	{
		map textures/ut4_thekyln/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_thekyln/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_thekyln/tk_shn_e8base1c
{
	qer_editorimage textures/ut4_thekyln/e8_base1c.jpg

	{
		map textures/ut4_thekyln/e8_base1c.jpg
	}
	{
		map textures/ut4_thekyln/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_thekyln/e6basicstrip_blue
{
	qer_editorimage textures/ut4_thekyln/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_thekyln/e6basicstrip_blue.tga
	}
}

textures/ut4_thekyln/e6basicstrip_green
{
	qer_editorimage textures/ut4_thekyln/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_thekyln/e6basicstrip_green.tga
	}
}

textures/ut4_thekyln/e6basicstrip_orange
{
	qer_editorimage textures/ut4_thekyln/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_thekyln/e6basicstrip_orange.tga
	}
}

textures/ut4_thekyln/e6basicstrip_purple
{
	qer_editorimage textures/ut4_thekyln/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_thekyln/e6basicstrip_purple.tga
	}
}

textures/ut4_thekyln/e6basicstrip_red
{
	qer_editorimage textures/ut4_thekyln/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_thekyln/e6basicstrip_red.tga
	}
}

textures/ut4_thekyln/e6basicstrip_white
{
	qer_editorimage textures/ut4_thekyln/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_thekyln/e6basicstrip_white.tga
	}
}

textures/ut4_thekyln/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_thekyln/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_thekyln/e6basicstrip_yellow.tga
	}
}

textures/ut4_thekyln/tk_glassblk04
{
	qer_editorimage textures/ut4_thekyln/pr_glassblock04.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_thekyln/pr_glassblock04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_thekyln/pr_glassblock04.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_thekyln/tk_glassblk04_b
{
	qer_editorimage textures/ut4_thekyln/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_thekyln/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_thekyln/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_thekyln/tk_glassblk04_r
{
	qer_editorimage textures/ut4_thekyln/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_thekyln/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_thekyln/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== No Damage Materials ===---

// ---=== flames ===--- 

textures/ut4_thekyln/tk_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_thekyln/flame7.tga
	

	{
		animMap 10 textures/ut4_thekyln/flame1.tga textures/ut4_thekyln/flame2.tga textures/ut4_thekyln/flame3.tga textures/ut4_thekyln/flame4.tga textures/ut4_thekyln/flame5.tga textures/ut4_thekyln/flame6.tga textures/ut4_thekyln/flame7.tga textures/ut4_thekyln/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_thekyln/flame2.tga textures/ut4_thekyln/flame3.tga textures/ut4_thekyln/flame4.tga textures/ut4_thekyln/flame5.tga textures/ut4_thekyln/flame6.tga textures/ut4_thekyln/flame7.tga textures/ut4_thekyln/flame8.tga textures/ut4_thekyln/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_thekyln/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ut4_thekyln/tk_flame_b
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_thekyln/flame7_b.tga
	

	{
		animMap 10 textures/ut4_thekyln/flame1_b.tga textures/ut4_thekyln/flame2_b.tga textures/ut4_thekyln/flame3_b.tga textures/ut4_thekyln/flame4_b.tga textures/ut4_thekyln/flame5_b.tga textures/ut4_thekyln/flame6_b.tga textures/ut4_thekyln/flame7_b.tga textures/ut4_thekyln/flame8_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_thekyln/flame2_b.tga textures/ut4_thekyln/flame3_b.tga textures/ut4_thekyln/flame4_b.tga textures/ut4_thekyln/flame5_b.tga textures/ut4_thekyln/flame6_b.tga textures/ut4_thekyln/flame7_b.tga textures/ut4_thekyln/flame8_b.tga textures/ut4_thekyln/flame1_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_thekyln/flameball_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

// --=== liquids ===---

textures/ut4_thekyln/tk_lavacaulk
{
qer_editorimage textures/ut4_thekyln/lavabase.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

textures/ut4_thekyln/tk_lava1
{
	qer_editorimage textures/ut4_thekyln/lava1.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	q3map_surfacelight 300
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/ut4_thekyln/lava1.tga
		tcMod turb 0 .2 0 .1
	}
}


textures/ut4_thekyln/tk_lava2
{
	qer_editorimage textures/ut4_thekyln/lava_molten.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	q3map_surfacelight 300
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/ut4_thekyln/lava_molten_blnd.tga
//                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_thekyln/lava_molten.tga
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}

textures/ut4_thekyln/tk_lavabase
{
	qer_editorimage textures/ut4_thekyln/lavabase.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	q3map_surfacelight 300
//	q3map_lightimage textures/ut4_thekyln/lava1.tga

	{
		map textures/ut4_thekyln/lava1.tga
		tcMod turb 0 0.1 0 0.02
		rgbGen wave triangle .9 .1 0 1
		tcMod scroll -.03 -.03
	}

	{
		map textures/ut4_thekyln/lavabase.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod turb 0 .5 0 .3
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}


textures/ut4_thekyln/tk_lavabcaulk
	{
		qer_editorimage textures/ut4_thekyln/lavabbase.tga
		qer_trans 0.5
		surfaceparm nodraw
		surfaceparm detail
		surfaceparm noimpact
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm lava
}

textures/ut4_thekyln/tk_lavab1
{
	qer_editorimage textures/ut4_thekyln/lavab1.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	q3map_surfacelight 300
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/ut4_thekyln/lavab1.tga
		tcMod turb 0 .2 0 .1
	}
}


textures/ut4_thekyln/tk_lavab2
{
	qer_editorimage textures/ut4_thekyln/lavab_molten.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	q3map_surfacelight 300
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/ut4_thekyln/lavab_molten_blnd.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_thekyln/lavab_molten.tga
		blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}

textures/ut4_thekyln/tk_lavabbase
{
	qer_editorimage textures/ut4_thekyln/lavabbase.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava

	q3map_surfacelight 300
	q3map_lightimage textures/ut4_thekyln/lavab1.tga

	{
		map textures/ut4_thekyln/lavab1.tga
		tcMod turb 0 0.1 0 0.02
		rgbGen wave triangle .9 .1 0 1
		tcMod scroll -.02 -.02
	}

	{
		map textures/ut4_thekyln/lavabbase.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod turb 0 .5 0 .005
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// ---=== Launchpad ===---

textures/ut4_thekyln/tk_launch1
{
	qer_editorimage textures/ut4_thekyln/launchpad_metalbridge04d.tga
	surfaceparm nodamage

	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/ut4_thekyln/launchpad_metalbridge04d.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/ut4_thekyln/launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}
	{ 
		animmap 4 textures/ut4_thekyln/launchpad_arrow.tga textures/ut4_thekyln/launchpad_arrow2.tga textures/ut4_thekyln/launchpad_arrow2.tga textures/ut4_thekyln/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

// ---=== oozes ===---

textures/ut4_thekyln/tk_oozecaulk
{
qer_editorimage textures/ut4_thekyln/ooze_orng.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

textures/ut4_thekyln/tk_oozorng
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_thekyln/ooze_orng.tga
	q3map_surfacelight 300

	{
		map textures/ut4_thekyln/ooze_orng.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_thekyln/ooze_orng_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_thekyln/ooze_orng.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_thekyln/ooze_orng.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_thekyln/tk_oozblue
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_thekyln/ooze_blue.tga
	q3map_surfacelight 300

	{
		map textures/ut4_thekyln/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_thekyln/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_thekyln/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_thekyln/ooze_blue.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== Evil Shaders ===---

textures/ut4_thekyln/e8trimlight2_blue
{
	qer_editorimage textures/ut4_thekyln/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_thekyln/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_thekyln/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_thekyln/e8trimlight2_red
{
	qer_editorimage textures/ut4_thekyln/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_thekyln/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_thekyln/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_thekyln/e8xgirder
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/ut4_thekyln/e8xgirder.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_thekyln/e8xgirder_small
{
	cull disable
	{
		map textures/ut4_thekyln/e8xgirder_small.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_thekyln/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/ut4_thekyln/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_thekyln/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_thekyln/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_thekyln/e8jumpspawn02_b
{
	qer_editorimage textures/ut4_thekyln/e8jumpspawn02.tga
	q3map_lightimage textures/ut4_thekyln/e8jumpspawn02_fx-b.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/ut4_thekyln/e8jumpspawn02_fx-b.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/ut4_thekyln/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ut4_thekyln/e8jumpspawn02_r
{
	qer_editorimage textures/ut4_thekyln/e8jumpspawn02.tga
	q3map_lightimage textures/ut4_thekyln/e8jumpspawn02_fx-r.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/ut4_thekyln/e8jumpspawn02_fx-r.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/ut4_thekyln/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
